# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define gcj_support %{?_with_gcj_support:1}%{!?_with_gcj_support:%{?_without_gcj_support:0}%{!?_without_gcj_support:%{?_gcj_support:%{_gcj_support}}%{!?_gcj_support:0}}}

%define section   free
%define javaee_namedversion      5.0.0.GA
%define ejb_namedversion         3.0.0.GA
%define jacc_namedversion        1.1.0.GA
%define jad_namedversion         1.2.0.GA
%define jaspi_namedversion       1.0.0.GA
%define jaxr_namedversion        1.0.0.GA
%define jca_namedversion         1.5.0.GA
%define jms_namedversion         1.1.0.GA
%define servlet_namedversion     2.5.0.GA
%define transaction_namedversion 1.0.1.GA


Name:           jboss-javaee
Version:        5.0.0
Release:        1%{dist}
Epoch:          0
Summary:        JBoss JavaEE 5.0 Aggregate.
License:        LGPL
Url:            http://www.jboss.org/
Group:          Development/Libraries/Java
Source0:        %{name}-%{version}.tar.gz
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/javaee/tags/5.0.0.GA/ jboss-javaee-5.0.0
Source1:        %{name}-settings.xml
Source2:        %{name}-%{version}-jpp-depmap.xml
Source3:        jboss-parent-3.pom 
# get it from http://anonsvn.jboss.org/repos/labs/labs/jbossbuild/jboss-parent/tags/jboss-parent-3/pom.xml

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  junit
BuildRequires:  maven2 >= 0:2.0.7
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven-surefire-plugin

BuildRequires:  jboss-common-core
BuildRequires:  jboss-common-logging-spi
BuildRequires:  jbossws-native

Requires:       java >= 0:1.5.0
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}

BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot

%description
The JBoss JavaEE API classes.

%package poms
Summary:        POM files for jboss-javaee
Group:          Development/Tools
Requires(post):   jpackage-utils >= 1.7.5
Requires(postun): jpackage-utils >= 1.7.5

%description poms
The Project Object Model files for the jboss-javaee modules.

%package -n jboss-ejb-3.0-api
Summary:        JBoss EJB 3.0 API.
Group:          Development/Libraries/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       jboss-transaction-1.0.1-api
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives
Provides:       ejb = 0:3.0
Provides:       ejb_3_0_api
Provides:       ejb_api = 0:3.0

%description -n jboss-ejb-3.0-api
The Java EJB 3.0 API classes.

%package -n jboss-jacc-1.1-api
Summary:        JBoss JACC 1.1 API.
Group:          Development/Libraries/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       jboss-servlet-2.5-api
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives
Provides:       jacc_1_1_api
Provides:       jacc_api = 0:1.1

%description -n jboss-jacc-1.1-api
The Java Authorization Contract for Containers 1.1 API classes.

%package -n jboss-jad-1.2-api
Summary:        JBoss JAD 1.2 API.
Group:          Development/Libraries/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives
Provides:       jad_1_2_api
Provides:       jad_api = 0:1.2

%description -n jboss-jad-1.2-api
The JavaEE Application Deployment 1.2 API classes.

%package -n jboss-jaspi-1.0-api
Summary:        JBoss JASPI 1.0 API.
Group:          Development/Libraries/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives
Provides:       jaspi_1_0_api
Provides:       jaspi_api = 0:1.0

%description -n jboss-jaspi-1.0-api
The Java Authentication SPI for Containers 1.0-PR API classes.

%package -n jboss-jaxr-1.0-api
Summary:        JBoss JAXR 1.0 API.
Group:          Development/Libraries/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires:       jaf_1_0_2_api
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives
Provides:       jaxr = 0:1.0
Provides:       jaxr_1_0_api
Provides:       jaxr_api = 0:1.0

%description -n jboss-jaxr-1.0-api
The Java API for XML Registries 1.0 API classes.

%package -n jboss-jca-1.5-api
Summary:        JBoss JCA 1.5 API.
Group:          Development/Libraries/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives
Provides:       j2ee-connector = 0:1.5
Provides:       j2ee_connector_1_5_api
Provides:       j2ee_connector_api = 0:1.5
Provides:       jca_1_5_api
Provides:       jca_api = 0:1.5

%description -n jboss-jca-1.5-api
The J2EE Connector Architecture 1.5 API classes.

%package -n jboss-jms-1.1-api
Summary:        JBoss JMS 1.1 API.
Group:          Development/Libraries/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives
Provides:       jms = 0:1.1
Provides:       jms_1_1_api
Provides:       jms_api = 0:1.1

%description -n jboss-jms-1.1-api
The Java Messaging Service 1.1 API classes.

%package -n jboss-servlet-2.5-api
Summary:        JBoss Servlet 2.5 API.
Group:          Development/Libraries/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives
Provides:       servlet = 0:2.5
Provides:       servlet_2_5_api
Provides:       servlet_api = 0:2.5

%description -n jboss-servlet-2.5-api
The Java Servlet 2.5 API classes.

%package -n jboss-transaction-1.0.1-api
Summary:        JBoss Transaction 1.0.1 API.
Group:          Development/Libraries/Java
Requires:       %{name}-poms = %{epoch}:%{version}-%{release}
Requires(preun):  %{_sbindir}/update-alternatives
Requires(post):  %{_sbindir}/update-alternatives
Provides:       jta = 0:1.0.1B
Provides:       jta_1_0_1B_api
Provides:       jta_api = 0:1.0.1B

%description -n jboss-transaction-1.0.1-api
The Java Transaction 1.0.1 API classes.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}.

%prep
%setup -q 
#find . -name "*.jar" -exec rm -f {} \;
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done

cp %{SOURCE1} settings.xml
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/m2_repo/repository</url>|g" settings.xml

%build
export MAVEN_REPO_LOCAL=$(pwd)/m2_repo/repository
mkdir -p $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/
cp %{SOURCE3} $MAVEN_REPO_LOCAL/JPP/maven2/default_poms/org.jboss-jboss-parent.pom


mkdir external_repo
ln -s %{_javadir} external_repo/JPP

export M2_SETTINGS=$(pwd)/settings.xml
mvn-jpp \
        -e \
        -s $M2_SETTINGS \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
        -Daggregate=true \
        install javadoc:javadoc site

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

%add_to_maven_depmap org.jboss.javaee jboss-javaee %{javaee_namedversion} JPP jboss-javaee
install -m 644 pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-javaee.pom
install -m 644 target/jboss-javaee.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-javaee-5-apis-%{version}.jar

%add_to_maven_depmap org.jboss.javaee jboss-ejb-api %{ejb_namedversion} JPP jboss-ejb-api
install -m 644 jboss-ejb-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-ejb-api.pom
install -m 644 jboss-ejb-api/target/jboss-ejb-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-ejb-3.0-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/ejb.jar
touch $RPM_BUILD_ROOT%{_javadir}/ejb_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/ejb_3_0_api.jar


%add_to_maven_depmap org.jboss.javaee jboss-jacc-api %{jacc_namedversion} JPP jboss-jacc-api
install -m 644 jboss-jacc-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-jacc-api.pom
install -m 644 jboss-jacc-api/target/jboss-jacc-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-jacc-1.1-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/jacc_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jacc_1_1_api.jar

%add_to_maven_depmap org.jboss.javaee jboss-jad-api %{jad_namedversion} JPP jboss-jad-api
install -m 644 jboss-jad-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-jad-api.pom
install -m 644 jboss-jad-api/target/jboss-jad-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-jad-1.2-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/jad_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jad_1_2_api.jar

%add_to_maven_depmap org.jboss.javaee jboss-jaspi-api %{jaspi_namedversion} JPP jboss-jaspi-api
install -m 644 jboss-jaspi-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-jaspi-api.pom
install -m 644 jboss-jaspi-api/target/jboss-jaspi-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-jaspi-1.0-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaspi_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaspi_1_0_api.jar

%add_to_maven_depmap org.jboss.javaee jboss-jaxr-api %{jaxr_namedversion} JPP jboss-jaxr-api
install -m 644 jboss-jaxr-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-jaxr-api.pom
install -m 644 jboss-jaxr-api/target/jboss-jaxr-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-jaxr-1.0-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaxr.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaxr_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jaxr_1_0_api.jar

%add_to_maven_depmap org.jboss.javaee jboss-jca-api %{jca_namedversion} JPP jboss-jca-api
install -m 644 jboss-jca-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-jca-api.pom
install -m 644 jboss-jca-api/target/jboss-jca-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-jca-1.5-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/j2ee-connector.jar
touch $RPM_BUILD_ROOT%{_javadir}/j2ee_connector_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/j2ee_connector_1_5_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jca_1_5_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jca_api.jar

%add_to_maven_depmap org.jboss.javaee jboss-jms-api %{jms_namedversion} JPP jboss-jms-api
install -m 644 jboss-jms-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-jms-api.pom
install -m 644 jboss-jms-api/target/jboss-jms-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-jms-1.1-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/jms.jar
touch $RPM_BUILD_ROOT%{_javadir}/jms_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jms_1_1_api.jar

%add_to_maven_depmap org.jboss.javaee jboss-servlet-api %{servlet_namedversion} JPP jboss-servlet-api
install -m 644 jboss-servlet-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-servlet-api.pom
install -m 644 jboss-servlet-api/target/jboss-servlet-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-servlet-2.5-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/servlet.jar
touch $RPM_BUILD_ROOT%{_javadir}/servlet_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/servlet_2_5_api.jar

%add_to_maven_depmap org.jboss.javaee jboss-transaction-api %{transaction_namedversion} JPP jboss-transaction-api
install -m 644 jboss-transaction-api/pom.xml $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-jboss-transaction-api.pom
install -m 644 jboss-transaction-api/target/jboss-transaction-api.jar \
           $RPM_BUILD_ROOT%{_javadir}/jboss-transaction-1.0.1-api-%{version}.jar
touch $RPM_BUILD_ROOT%{_javadir}/jta.jar
touch $RPM_BUILD_ROOT%{_javadir}/jta_api.jar
touch $RPM_BUILD_ROOT%{_javadir}/jta_1_0_1B_api.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
#rm -rf target/site/apidocs
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

## manual
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp target/site/license.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr target/site $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
for spec in ejb jacc jad jaspi jaxr jca jms servlet transaction; do
    install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/${spec}-api
    cp -pr jboss-${spec}-api/target/site/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/${spec}-api
done

%clean
rm -rf $RPM_BUILD_ROOT

%post poms
%update_maven_depmap

%postun poms
%update_maven_depmap

%post -n jboss-ejb-3.0-api
%{_sbindir}/update-alternatives --install %{_javadir}/ejb.jar ejb %{_javadir}/jboss-ejb-3.0-api.jar 30000
%{_sbindir}/update-alternatives --install %{_javadir}/ejb_3_0_api.jar ejb_3_0_api %{_javadir}/jboss-ejb-3.0-api.jar 30000
%{_sbindir}/update-alternatives --install %{_javadir}/ejb_api.jar ejb_api %{_javadir}/jboss-ejb-3.0-api.jar 30000

%preun -n jboss-ejb-3.0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove ejb %{_javadir}/jboss-ejb-3.0-api.jar
    %{_sbindir}/update-alternatives --remove ejb_api %{_javadir}/jboss-ejb-3.0-api.jar
    %{_sbindir}/update-alternatives --remove ejb_3_0_api %{_javadir}/jboss-ejb-3.0-api.jar
fi

%post -n jboss-jacc-1.1-api
%{_sbindir}/update-alternatives --install %{_javadir}/jacc_1_1_api.jar jacc_1_1_api %{_javadir}/jboss-jacc-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jacc_api.jar jacc_api %{_javadir}/jboss-jacc-1.1-api.jar 10100

%preun -n jboss-jacc-1.1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jacc_api %{_javadir}/jboss-jacc-1.1-api.jar
    %{_sbindir}/update-alternatives --remove jacc_1_1_api %{_javadir}/jboss-jacc-1.1-api.jar
fi

%post -n jboss-jad-1.2-api
%{_sbindir}/update-alternatives --install %{_javadir}/jad_1_2_api.jar jad_1_2_api %{_javadir}/jboss-jad-1.2-api.jar 10200
%{_sbindir}/update-alternatives --install %{_javadir}/jad_api.jar jad_api %{_javadir}/jboss-jad-1.2-api.jar 10200

%preun -n jboss-jad-1.2-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jad_api %{_javadir}/jboss-jad-1.2-api.jar
    %{_sbindir}/update-alternatives --remove jad_1_2_api %{_javadir}/jboss-jad-1.2-api.jar
fi

%post -n jboss-jaspi-1.0-api
%{_sbindir}/update-alternatives --install %{_javadir}/jaspi_1_0_api.jar jaspi_1_0_api %{_javadir}/jboss-jaspi-1.0-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jaspi_api.jar jaspi_api %{_javadir}/jboss-jaspi-1.0-api.jar 10000

%preun -n jboss-jaspi-1.0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jaspi_api %{_javadir}/jboss-jaspi-1.0-api.jar
    %{_sbindir}/update-alternatives --remove jaspi_1_0_api %{_javadir}/jboss-jaspi-1.0-api.jar
fi

%post -n jboss-jaxr-1.0-api
%{_sbindir}/update-alternatives --install %{_javadir}/jaxr_1_0_api.jar jaxr_1_0_api %{_javadir}/jboss-jaxr-1.0-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jaxr_api.jar jaxr_api %{_javadir}/jboss-jaxr-1.0-api.jar 10000
%{_sbindir}/update-alternatives --install %{_javadir}/jaxr.jar jaxr %{_javadir}/jboss-jaxr-1.0-api.jar 10000

%preun -n jboss-jaxr-1.0-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jaxr %{_javadir}/jboss-jaxr-1.0-api.jar
    %{_sbindir}/update-alternatives --remove jaxr_api %{_javadir}/jboss-jaxr-1.0-api.jar
    %{_sbindir}/update-alternatives --remove jaxr_1_0_api %{_javadir}/jboss-jaxr-1.0-api.jar
fi

%post -n jboss-jca-1.5-api
%{_sbindir}/update-alternatives --install %{_javadir}/jca_1_5_api.jar jca_1_5_api %{_javadir}/jboss-jca-1.5-api.jar 10500
%{_sbindir}/update-alternatives --install %{_javadir}/jca_api.jar jca_api %{_javadir}/jboss-jca-1.5-api.jar 10500
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee-connector.jar j2ee-connector %{_javadir}/jboss-jca-1.5-api.jar 10500
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_connector_api.jar j2ee_connector_api %{_javadir}/jboss-jca-1.5-api.jar 10500
%{_sbindir}/update-alternatives --install %{_javadir}/j2ee_connector_1_5_api.jar j2ee_connector_1_5_api %{_javadir}/jboss-jca-1.5-api.jar 10500

%preun -n jboss-jca-1.5-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove j2ee_connector_1_5_api %{_javadir}/jboss-jca-1.5-api.jar
    %{_sbindir}/update-alternatives --remove j2ee_connector_api %{_javadir}/jboss-jca-1.5-api.jar
    %{_sbindir}/update-alternatives --remove j2ee-connector %{_javadir}/jboss-jca-1.5-api.jar
    %{_sbindir}/update-alternatives --remove jca_api %{_javadir}/jboss-jca-1.5-api.jar
    %{_sbindir}/update-alternatives --remove jca_1_0_api %{_javadir}/jboss-jca-1.5-api.jar
fi

%post -n jboss-jms-1.1-api
%{_sbindir}/update-alternatives --install %{_javadir}/jms_1_1_api.jar jms_1_1_api %{_javadir}/jboss-jms-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jms_api.jar jms_api %{_javadir}/jboss-jms-1.1-api.jar 10100
%{_sbindir}/update-alternatives --install %{_javadir}/jms.jar jms %{_javadir}/jboss-jms-1.1-api.jar 10100

%preun -n jboss-jms-1.1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jms %{_javadir}/jboss-jms-1.1-api.jar
    %{_sbindir}/update-alternatives --remove jms_api %{_javadir}/jboss-jms-1.1-api.jar
    %{_sbindir}/update-alternatives --remove jms_1_1_api %{_javadir}/jboss-jms-1.1-api.jar
fi

%post -n jboss-servlet-2.5-api
%{_sbindir}/update-alternatives --install %{_javadir}/servlet_2_5_api.jar servlet_2_5_api %{_javadir}/jboss-servlet-2.5-api.jar 20500
%{_sbindir}/update-alternatives --install %{_javadir}/servlet_api.jar servlet_api %{_javadir}/jboss-servlet-2.5-api.jar 20500
%{_sbindir}/update-alternatives --install %{_javadir}/servlet.jar servlet %{_javadir}/jboss-servlet-2.5-api.jar 20500

%preun -n jboss-servlet-2.5-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove servlet %{_javadir}/jboss-servlet-2.5-api.jar
    %{_sbindir}/update-alternatives --remove servlet_api %{_javadir}/jboss-servlet-2.5-api.jar
    %{_sbindir}/update-alternatives --remove servlet_2_5_api %{_javadir}/jboss-servlet-2.5-api.jar
fi

%post -n jboss-transaction-1.0.1-api
%{_sbindir}/update-alternatives --install %{_javadir}/jta_2_5_api.jar jta_1_0_1_api %{_javadir}/jboss-transaction-1.0.1-api.jar 10001
%{_sbindir}/update-alternatives --install %{_javadir}/jta_api.jar jta_api %{_javadir}/jboss-transaction-1.0.1-api.jar 10001
%{_sbindir}/update-alternatives --install %{_javadir}/jta.jar jta %{_javadir}/jboss-transaction-1.0.1-api.jar 10001

%preun -n jboss-transaction-1.0.1-api
if [ "$1" = "0" ]; then
    %{_sbindir}/update-alternatives --remove jta %{_javadir}/jboss-transaction-1.0.1-api.jar
    %{_sbindir}/update-alternatives --remove jta_api %{_javadir}/jboss-transaction-1.0.1-api.jar
    %{_sbindir}/update-alternatives --remove jta_1_0_1_api %{_javadir}/jboss-transaction-1.0.1-api.jar
fi

%files
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}/license.html
%{_javadir}/jboss-javaee-5-apis*.jar

%files poms
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*

%files -n jboss-ejb-3.0-api
%defattr(0644,root,root,0755)
%{_javadir}/jboss-ejb-3.0-api*.jar
%ghost %{_javadir}/ejb.jar
%ghost %{_javadir}/ejb_api.jar
%ghost %{_javadir}/ejb_3_0_api.jar

%files -n jboss-jacc-1.1-api
%defattr(0644,root,root,0755)
%{_javadir}/jboss-jacc-1.1-api*.jar
%ghost %{_javadir}/jacc_api.jar
%ghost %{_javadir}/jacc_1_1_api.jar

%files -n jboss-jad-1.2-api
%defattr(0644,root,root,0755)
%{_javadir}/jboss-jad-1.2-api*.jar
%ghost %{_javadir}/jad_api.jar
%ghost %{_javadir}/jad_1_2_api.jar

%files -n jboss-jaspi-1.0-api
%defattr(0644,root,root,0755)
%{_javadir}/jboss-jaspi-1.0-api*.jar
%ghost %{_javadir}/jaspi_api.jar
%ghost %{_javadir}/jaspi_1_0_api.jar

%files -n jboss-jaxr-1.0-api
%defattr(0644,root,root,0755)
%{_javadir}/jboss-jaxr-1.0-api*.jar
%ghost %{_javadir}/jaxr.jar
%ghost %{_javadir}/jaxr_1_0_api.jar
%ghost %{_javadir}/jaxr_api.jar

%files -n jboss-jca-1.5-api
%defattr(0644,root,root,0755)
%{_javadir}/jboss-jca-1.5-api*.jar
%ghost %{_javadir}/j2ee-connector.jar
%ghost %{_javadir}/j2ee_connector_1_5_api.jar
%ghost %{_javadir}/j2ee_connector_api.jar
%ghost %{_javadir}/jca_1_5_api.jar
%ghost %{_javadir}/jca_api.jar

%files -n jboss-jms-1.1-api
%defattr(0644,root,root,0755)
%{_javadir}/jboss-jms-1.1-api*.jar
%ghost %{_javadir}/jms.jar
%ghost %{_javadir}/jms_1_1_api.jar
%ghost %{_javadir}/jms_api.jar

%files -n jboss-servlet-2.5-api
%defattr(0644,root,root,0755)
%{_javadir}/jboss-servlet-2.5-api*.jar
%ghost %{_javadir}/servlet.jar
%ghost %{_javadir}/servlet_2_5_api.jar
%ghost %{_javadir}/servlet_api.jar

%files -n jboss-transaction-1.0.1-api
%defattr(0644,root,root,0755)
%{_javadir}/jboss-transaction-1.0.1-api*.jar
%ghost %{_javadir}/jta.jar
%ghost %{_javadir}/jta_1_0_1B_api.jar
%ghost %{_javadir}/jta_api.jar

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc %{_docdir}/%{name}-%{version}

%changelog
* Wed Nov 12 2008 Ralph Apel <r.apel@r-apel.de> 0:5.0.0-1.jpp5
- First standalone release

